OpenNMS API 1.2.9

## org.opennms.web.element
Class Interface

    java.lang.Object
      org.opennms.web.element.Interface

public class Interface
extends java.lang.Object

Field Summary
`(package private) int` `m_ifIndex`
`(package private) java.lang.String` `m_ipAddr`
`(package private) java.lang.String` `m_ipHostName`
`(package private) java.lang.String` `m_ipLastCapsdPoll`
`(package private) int` `m_ipStatus`
`(package private) char` `m_isManaged`
`(package private) java.lang.String` `m_isSnmpPrimary`
`(package private) int` `m_nodeId`
`(package private) int` `m_snmpIfAdminStatus`
`(package private) java.lang.String` `m_snmpIfAlias`
`(package private) java.lang.String` `m_snmpIfDescr`
`(package private) int` `m_snmpIfIndex`
`(package private) java.lang.String` `m_snmpIfName`
`(package private) int` `m_snmpIfOperStatus`
`(package private) long` `m_snmpIfSpeed`
`(package private) int` `m_snmpIfType`
`(package private) java.lang.String` `m_snmpIpAdEntNetMask`
`(package private) java.lang.String` `m_snmpPhysAddr`

Constructor Summary
`Interface()`

Method Summary
`java.lang.String` `getHostname()`
`int` `getIfIndex()`
`java.lang.String` `getIpAddress()`
`int` `getIpStatus()`
`java.lang.String` `getIsSnmpPrimary()`
`java.lang.String` `getLastCapsdPoll()`
`int` `getNodeId()`
`java.lang.String` `getPhysicalAddress()`
`int` `getSnmpIfAdminStatus()`
`java.lang.String` `getSnmpIfAlias()`
`java.lang.String` `getSnmpIfDescription()`
`int` `getSnmpIfIndex()`
`java.lang.String` `getSnmpIfName()`
`int` `getSnmpIfOperStatus()`
`long` `getSnmpIfSpeed()`
`int` `getSnmpIfType()`
`java.lang.String` `getSnmpIpAdEntNetMask()`
`boolean` `isManaged()`
`char` `isManagedChar()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_nodeId

    int m_nodeId

### m_ifIndex

    int m_ifIndex

### m_ipStatus

    int m_ipStatus

### m_ipHostName

    java.lang.String m_ipHostName

### m_ipAddr

    java.lang.String m_ipAddr

### m_isManaged

    char m_isManaged

### m_ipLastCapsdPoll

    java.lang.String m_ipLastCapsdPoll

### m_snmpIpAdEntNetMask

    java.lang.String m_snmpIpAdEntNetMask

### m_snmpPhysAddr

    java.lang.String m_snmpPhysAddr

### m_snmpIfDescr

    java.lang.String m_snmpIfDescr

### m_snmpIfName

    java.lang.String m_snmpIfName

### m_snmpIfIndex

    int m_snmpIfIndex

### m_snmpIfType

    int m_snmpIfType

### m_snmpIfOperStatus

    int m_snmpIfOperStatus

### m_snmpIfSpeed

    long m_snmpIfSpeed

### m_snmpIfAdminStatus

    int m_snmpIfAdminStatus

### m_snmpIfAlias

    java.lang.String m_snmpIfAlias

### m_isSnmpPrimary

    java.lang.String m_isSnmpPrimary

Constructor Detail

### Interface

    public Interface()

Method Detail

### getNodeId

    public int getNodeId()

### getIfIndex

    public int getIfIndex()

### getIpStatus

    public int getIpStatus()

### getHostname

    public java.lang.String getHostname()

### getIpAddress

    public java.lang.String getIpAddress()

### isManagedChar

    public char isManagedChar()

### getLastCapsdPoll

    public java.lang.String getLastCapsdPoll()

### getSnmpIfIndex

    public int getSnmpIfIndex()

### getSnmpIpAdEntNetMask

    public java.lang.String getSnmpIpAdEntNetMask()

### getPhysicalAddress

    public java.lang.String getPhysicalAddress()

### getSnmpIfDescription

    public java.lang.String getSnmpIfDescription()

### getSnmpIfName

    public java.lang.String getSnmpIfName()

### getSnmpIfType

    public int getSnmpIfType()

### getSnmpIfOperStatus

    public int getSnmpIfOperStatus()

### getSnmpIfSpeed

    public long getSnmpIfSpeed()

### getSnmpIfAdminStatus

    public int getSnmpIfAdminStatus()

### toString

    public java.lang.String toString()

### isManaged

    public boolean isManaged()

### getSnmpIfAlias

    public java.lang.String getSnmpIfAlias()

### getIsSnmpPrimary

    public java.lang.String getIsSnmpPrimary()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.